{% extends 'base.html' %}

{% block title %}
Project Detail - {{ project.name }}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>{{ project.name }}</h1>
            <div class="project-headline">
                <div>
                    <h3>Description</h3>
                    <p>{{ project.description }}</p>
                </div>
                <div class="memberlist">
                    <h3>Project Members</h3>
                    <ul>
                        <li>Owner: {{ project.owner }}</li>
                        {% for assignee in assignees %}
                            <li>{{ assignee }}</li>
                        {% empty %}
                            <li>No collaborators</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
            <p class="button-bar">
                <a href={% url 'create_task' %}>Create a new task</a>
                <a href={% url 'show_gantt' project.id %}>Gantt Chart View</a>
                {% if user == project.owner %}
                    <a href={% url "edit" 'project' project.id %}>Edit Project</a>
                {% endif %}
            </p>
            <h2>Tasks</h2>
            {% if not project.tasks.all %}
                <p>This project has no tasks</p>
            {% else %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th id="is-completed">Is completed</th>
                    </thead>
                    <tbody>
                        {% for task in project.tasks.all %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                {% if user == project.owner %}
                                    <td class="yesno table-a">
                                        <a href={% url 'complete_task' task.id %}>{{ task.is_completed|yesno }}</a>
                                    </td>
                                {% else %}
                                    <td class="yesno">{{ task.is_completed|yesno }}</td>
                                {% endif %}
                                <td class="table-a">
                                    <a href={% url "show_notes" task.id %}>Notes ({{ task.notes.all|length }})</a>
                                </td>
                                {% if user == project.owner %}
                                    <td class="table-a">
                                        <a href={% url "edit" 'task' task.id %}>Edit</a>
                                    </td>
                                    <td class="table-a">
                                        <a href={% url "delete" 'task' task.id %}>Delete</a>
                                    </td>
                                {% endif %}
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% if project.owner == user %}
                <p class="delete">
                    <a href={% url "delete" 'project' project.id %}>Delete Project</a>
                </p>
                {% endif %}
            {% endif %}
        </div>
    </main>
    {% endblock content %}
